Bug 274750 - kmail2/akonadi fail to send messages, kmail long uptime
Summary: kmail2/akonadi fail to send messages, kmail long uptime
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0.96
Platform: Gentoo Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-02 14:19 UTC by Francesco Riosa
Modified: 2011-10-18 08:38 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francesco Riosa 2011-06-02 14:19:51 UTC
Version:           2.0.96 (using KDE 4.6.3) 
OS:                Linux

In short, seem that akonadi_maildispatcher_agent does not ressurect the connection to the mysql database after a long time of inactivity (>connect-timeout parameter in mysql)
As a result messages stop in outbox (and nothing tell me they have not been sent)
obviously akonadictl stop/start solve the problem

Reproducible: Didn't try

Steps to Reproduce:
open kmail, go take many coffe, return and try to send an email

Actual Results:  
nothing sent

Expected Results:  
My girlfriend read the email and send me a kiss

~/.xsession-errors
void Nepomuk::Query::QueryServiceClient::close()
void Nepomuk::Query::QueryServiceClient::close()
void Nepomuk::Query::QueryServiceClient::close()
void Nepomuk::Query::QueryServiceClient::close()
Error during executing query "SELECT PimItemTable.id, PimItemTable.remoteId, MimeTypeTable.name, ResourceTable.name, PimItemTable.rev, PimItemTable.remoteRevision, PimItemTable.size, PimItemTable.datetime, PimItemTable.collectionId FROM PimItemTable INNER JOIN MimeTypeTable ON ( PimItemTable.mimeTypeId = MimeTypeTable.id ) INNER JOIN CollectionTable ON ( PimItemTable.collectionId = CollectionTable.id ) INNER JOIN ResourceTable ON ( CollectionTable.resourceId = ResourceTable.id ) WHERE ( ( PimItemTable.id = :0 ) ) ORDER BY PimItemTable.id DESC" :  "MySQL server has gone away QMYSQL: Unable to execute query"
akonadi_maildispatcher_agent(8389) OutboxQueue::Private::addIfComplete: Item 134969 does not have the required attribute Address.
Error during executing query "SELECT PimItemTable.id, PimItemTable.remoteId, MimeTypeTable.name, ResourceTable.name, PimItemTable.rev, PimItemTable.remoteRevision, PimItemTable.size, PimItemTable.datetime, PimItemTable.collectionId FROM PimItemTable INNER JOIN MimeTypeTable ON ( PimItemTable.mimeTypeId = MimeTypeTable.id ) INNER JOIN CollectionTable ON ( PimItemTable.collectionId = CollectionTable.id ) INNER JOIN ResourceTable ON ( CollectionTable.resourceId = ResourceTable.id ) WHERE ( ( PimItemTable.id = :0 ) ) ORDER BY PimItemTable.id DESC" :  "MySQL server has gone away QMYSQL: Unable to execute query"
Error during executing query "SELECT count(id), sum(size) FROM PimItemTable WHERE ( collectionId = :0 )" :  "MySQL server has gone away QMYSQL: Unable to execute query"
akonadi_maildispatcher_agent(8389)/libakonadi Akonadi::MonitorPrivate::slotStatisticsChangedFinished: Error on fetching collection statistics:  "Failed to query statistics."
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::ServerConnection::run() thread done.
virtual Soprano::ODBC::Connection::~Connection() Soprano::Server::ServerConnection(0xa9de30)
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCore::serverConnectionFinished()
virtual Soprano::Server::ServerConnection::~ServerConnection() Removing connection
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCore::serverConnectionFinished() Connection removed. Current count: 12
plasma-desktop(8346)/plasma StatusNotifierItemSource::refreshCallback: DBusMenu disabled for this application
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x209b4a0), parent's thread is QThread(0x1af7ca0), current thread is ThreadWeaver::Thread(0x7f2dc4000f70)
QObject: Cannot create children for a parent that is in a different thread.


kmail output in konsole:
work ~ kmail --nocrashhandler 
kmail2(14807) KMail::lockOrDie: oldPid= -1
kmail2(14807) KMKernel::KMKernel: Starting up...
kmail2(14807)/libakonadi Akonadi::SessionPrivate::init: ""
kmail2(14807)/libakonadi Akonadi::Firstrun::Firstrun:
kmail2(14807)/libakonadi Akonadi::Firstrun::Firstrun: ()
kmail2(14807)/libakonadi Akonadi::SessionPrivate::reconnect: connectToServer "/home/vivo/.local/share/akonadi/socket-kde/akonadiserver.socket"
kmail2(14807)/libakonadi Akonadi::SessionPrivate::init: "KMail Kernel ETM"
kmail2(14807)/libakonadi Akonadi::SessionPrivate::reconnect: connectToServer "/home/vivo/.local/share/akonadi/socket-kde/akonadiserver.socket"
kmail2(14807)/kdepimlibs (mailtransport) MailTransport::TransportManagerPrivate::fillTypes: Found Akonadi type "Dummy MailTransport Resource"
kmail2(14807)/kdepimlibs (mailtransport) MailTransport::TransportManagerPrivate::fillTypes: Have SMTP, Sendmail, and 1 Akonadi types.
kmail2(14807)/kdepimlibs (mailtransport) MailTransport::Transport::Transport: "1821583577"
kmail2(14807)/kdepimlibs (mailtransport) MailTransport::Transport::usrReadConfig: type 0
kmail2(14807) KMKernel::identityManager:
kmail2(14807) KMKernel::init: KMail init with akonadi server state: 2
kmail2(14807) MailCommon::Kernel::initFolders: KMail is initialize and looking for default specialcollection folders.
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "inbox" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "outbox" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "sent-mail" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "drafts" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "trash" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "templates" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::Firstrun::~Firstrun: done
kmail2(14807)/libakonadi Akonadi::EntityTreeModelPrivate::startFirstListJob: GEN true false false
kmail2(14807)/libakonadi Akonadi::SessionPrivate::reconnect: connectToServer "/home/vivo/.local/share/akonadi/socket-kde/akonadiserver.socket"
kmail2(14807)/libakonadi Akonadi::SessionPrivate::dataReceived: Server protocol version is: 28
kmail2(14807)/libakonadi Akonadi::SessionPrivate::dataReceived: Server protocol version is: 28
kmail2(14807) KMailApplication::newInstance:
kmail2(14807) KMKernel::openReader:
kmail2(14807) MessageList::StorageModel::StorageModel: Using model: Akonadi::EntityTreeModel
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 2 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 5 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 7 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 191 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 11 is not in model yet
kmail2(14807) MessageList::Core::View::resizeEvent: Resize event enter (viewport width is  284 )
kmail2(14807) MessageList::Core::View::resizeEvent: Resize event enter (viewport width is  1602 )
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "inbox" resourceId "akonadi_maildir_resource_0"
work ~ kmail2(14807)/kdeui (kdelibs): Attempt to use QAction "" with KXMLGUIFactory! 
kmail2(14807)/kdeui (kdelibs): Attempt to use QAction "" with KXMLGUIFactory! 
kmail2(14807) KSieveUi::Vacation::Vacation: Vacation: found url " "sieve://########################@######################/kmail-vacation.siv?x-mech=PLAIN" "
kmail2(14807) KManageSieve::Session::Session:
kmail2(14807) KManageSieve::Session::connectToHost: KUrl("sieve://########################@#################:2000?x-mech=PLAIN")
kmail2(14807) KManageSieve::Session::scheduleJob: KManageSieve::SieveJob(0x192a370)
kmail2(14807)/libakonadi Akonadi::DefaultResourceJobPrivate::tryFetchResource: Read defaultResourceId "akonadi_maildir_resource_0" from config.
kmail2(14807)/libakonadi Akonadi::DefaultResourceJobPrivate::tryFetchResource: Found resource "akonadi_maildir_resource_0"
kmail2(14807) MessageList::Core::View::resizeEvent: Resize event enter (viewport width is  1602 )
kmail2(14807) KMKernel::instanceStatusChanged: A Resource started to syncronize, starting a mail check.
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 2 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 5 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 7 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 11 is not in model yet
kmail2(14807)/libakonadi Akonadi::EntityTreeModelPrivate::collectionsFetched: Built the tree in:  3
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""IMPLEMENTATION" "dovecot""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "IMPLEMENTATION" "dovecot" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Connected to Sieve server:  "dovecot"
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""SIEVE" "comparator-i;octet comparator-i;ascii-casemap fileinto reject envelope encoded-character vacation subaddress comparator-i;ascii-numeric relational regex imap4flags copy include variables body enotify environment mailbox date""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "SIEVE" "comparator-i;octet comparator-i;ascii-casemap fileinto reject envelope encoded-character vacation subaddress comparator-i;ascii-numeric relational regex imap4flags copy include variables body enotify environment mailbox date" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Server script capabilities:  ("comparator-i;octet", "comparator-i;ascii-casemap", "fileinto", "reject", "envelope", "encoded-character", "vacation", "subaddress", "comparator-i;ascii-numeric", "relational", "regex", "imap4flags", "copy", "include", "variables", "body", "enotify", "environment", "mailbox", "date")
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""SASL" "PLAIN LOGIN DIGEST-MD5 CRAM-MD5""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "SASL" "PLAIN LOGIN DIGEST-MD5 CRAM-MD5" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Server SASL authentication methods:  ("PLAIN", "LOGIN", "DIGEST-MD5", "CRAM-MD5")
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""STARTTLS""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "STARTTLS" "" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Server supports TLS
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""NOTIFY" "mailto""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "NOTIFY" "mailto" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Unrecognised key  "NOTIFY"
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""VERSION" "1.0""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "VERSION" "1.0" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Unrecognised key  "VERSION"
kmail2(14807) KManageSieve::Session::dataReceived: S:  "OK "Dovecot ready.""
kmail2(14807) KManageSieve::Session::dataReceived: 2 "OK "Dovecot ready."" "" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Sieve server ready & awaiting authentication.
kmail2(14807) KManageSieve::Session::sendData: C:  "STARTTLS"
kmail2(14807) KManageSieve::Session::dataReceived: S:  "OK "Begin TLS negotiation now.""
kmail2(14807) KManageSieve::Session::dataReceived: 2 "OK "Begin TLS negotiation now."" "" "" 0
kmail2(14807)/libakonadi Akonadi::DefaultResourceJobPrivate::collectionFetchResult: Fetched 9 collections.
kmail2(14807) KManageSieve::Session::startSsl:
kmail2(14807) KManageSieve::Session::startSsl: Initial SSL handshake failed. cipher.isNull() is false , cipher.usedBits() is 256 , the socket says: "Unknown error" and the list of SSL errors contains 1 items.
kmail2(14807) KManageSieve::Session::startSsl: TLS negotiation done.
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""IMPLEMENTATION" "dovecot""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "IMPLEMENTATION" "dovecot" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Connected to Sieve server:  "dovecot"
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""SIEVE" "comparator-i;octet comparator-i;ascii-casemap fileinto reject envelope encoded-character vacation subaddress comparator-i;ascii-numeric relational regex imap4flags copy include variables body enotify environment mailbox date""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "SIEVE" "comparator-i;octet comparator-i;ascii-casemap fileinto reject envelope encoded-character vacation subaddress comparator-i;ascii-numeric relational regex imap4flags copy include variables body enotify environment mailbox date" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Server script capabilities:  ("comparator-i;octet", "comparator-i;ascii-casemap", "fileinto", "reject", "envelope", "encoded-character", "vacation", "subaddress", "comparator-i;ascii-numeric", "relational", "regex", "imap4flags", "copy", "include", "variables", "body", "enotify", "environment", "mailbox", "date")
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""SASL" "PLAIN LOGIN DIGEST-MD5 CRAM-MD5""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "SASL" "PLAIN LOGIN DIGEST-MD5 CRAM-MD5" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Server SASL authentication methods:  ("PLAIN", "LOGIN", "DIGEST-MD5", "CRAM-MD5")
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""NOTIFY" "mailto""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "NOTIFY" "mailto" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Unrecognised key  "NOTIFY"
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""VERSION" "1.0""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "VERSION" "1.0" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Unrecognised key  "VERSION"
kmail2(14807) KManageSieve::Session::dataReceived: S:  "OK "TLS negotiation successful.""
kmail2(14807) KManageSieve::Session::dataReceived: 2 "OK "TLS negotiation successful."" "" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Sieve server ready & awaiting authentication.
kmail2(14807) KManageSieve::Session::saslInteract:
kmail2(14807) KManageSieve::Session::saslInteract: SASL_INTERACT id:  16385
kmail2(14807) KManageSieve::Session::saslInteract: SASL_CB_[AUTHNAME|USER]: ' "######################" '
kmail2(14807) KManageSieve::Session::saslInteract: SASL_INTERACT id:  16386
kmail2(14807) KManageSieve::Session::saslInteract: SASL_CB_[AUTHNAME|USER]: ' "######################" '
kmail2(14807) KManageSieve::Session::saslInteract: SASL_INTERACT id:  16388
kmail2(14807) KManageSieve::Session::saslInteract: SASL_CB_PASS: [hidden]
kmail2(14807) KManageSieve::Session::startAuthentication: Preferred authentication method is  PLAIN .
kmail2(14807) KManageSieve::Session::sendData: C:  "AUTHENTICATE "PLAIN" "ZnJhbmNlc2NvQHBucGl0YWxpYS5pdABmcmFuY2VzY29AcG5waXRhbGlhLml0AGppa3Vpb25u""
kmail2(14807)/libakonadi Akonadi::ResourceScanJob::Private::fetchResult: Fetched root collection 191 and 9 local folders (total 9 collections).
kmail2(14807)/libakonadi Akonadi::SpecialCollectionsRequestJobPrivate::resourceScanResult: resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollectionsRequestJobPrivate::nextResource: All done! Comitting.
kmail2(14807)/libakonadi Akonadi::SpecialCollections::registerCollection: Registered collection 192 as folder of type "drafts" in resource "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::registerCollection: Registered collection 193 as folder of type "outbox" in resource "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::registerCollection: Registered collection 194 as folder of type "inbox" in resource "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::registerCollection: Registered collection 195 as folder of type "sent-mail" in resource "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::registerCollection: Registered collection 196 as folder of type "outbox" in resource "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::registerCollection: Registered collection 197 as folder of type "sent-mail" in resource "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::registerCollection: Registered collection 198 as folder of type "templates" in resource "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::registerCollection: Registered collection 199 as folder of type "trash" in resource "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollections::registerCollection: Registered collection 191 as folder of type "local-mail" in resource "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollectionsPrivate::emitChanged: Emitting changed for "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollectionsPrivate::emitChanged: Emitting defaultFoldersChanged.
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "outbox" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollectionsRequestJobPrivate::isEverythingReady: All requested folders already known.
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "sent-mail" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollectionsRequestJobPrivate::isEverythingReady: All requested folders already known.
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "drafts" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollectionsRequestJobPrivate::isEverythingReady: All requested folders already known.
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "trash" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollectionsRequestJobPrivate::isEverythingReady: All requested folders already known.
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "templates" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollectionsRequestJobPrivate::isEverythingReady: All requested folders already known.
kmail2(14807) KManageSieve::Session::dataReceived: S:  "OK "Logged in.""
kmail2(14807) KManageSieve::Session::dataReceived: 2 "OK "Logged in."" "" "" 0
kmail2(14807) KManageSieve::Session::processResponse: Authentication complete.
kmail2(14807) KManageSieve::Session::sendData: C:  "LISTSCRIPTS"
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""dovecot.orig""
kmail2(14807) KManageSieve::Session::dataReceived: 1 "dovecot.orig" "" "" 0
kmail2(14807) KManageSieve::Session::dataReceived: S:  ""hutsefluts" ACTIVE"
kmail2(14807) KManageSieve::Session::dataReceived: 1 "hutsefluts" "" "ACTIVE" 0
kmail2(14807) KManageSieve::Session::dataReceived: S:  "OK "Listscripts completed.""
kmail2(14807) KManageSieve::Session::dataReceived: 2 "OK "Listscripts completed."" "" "" 0
kmail2(14807) KSieveUi::Vacation::slotGetResult: true , ?, false )
script:
""
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet



kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 196 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::EntityTreeModelPrivate::collectionsFetched: Built the tree in:  174
kmail2(14807) MessageList::StorageModel::StorageModel: Using model: Akonadi::EntityTreeModel
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 223 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 224 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::EntityTreeModelPrivate::collectionsFetched: Built the tree in:  140
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 200 is not in model yet
kmail2(14807)/libakonadi Akonadi::ETMViewStateSaver::indexFromConfigString: Collection with id 203 is not in model yet
kmail2(14807)/libakonadi Akonadi::EntityTreeModelPrivate::collectionsFetched: Built the tree in:  172
kmail2(14807)/libakonadi Akonadi::PluginRegistry::PluginRegistry: ItemSerializerPluginLoader:  found 36 plugins.
kmail2(14807)/libakonadi Akonadi::PluginRegistry::findBestMatchImpl: Looking for  "default for message/rfc822"
kmail2(14807)/libakonadi Akonadi::PluginRegistry::findBestMatchImpl:   Considering serializer plugin for type "message/rfc822" as the closest match
kmail2(14807)/libakonadi Akonadi::PluginRegistry::findBestMatchImpl:     -> got  Akonadi::SerializerPluginMail  and am happy with it.
kmail2(14807) KMKernel::slotProgressItemCompletedOrCanceled: Last resource finished syncing, mail check done
kmail2(14807) MessageList::StorageModel::StorageModel: Using model: Akonadi::EntityTreeModel
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "Junk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "$MDNSent" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "$Label1" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "$MDNSent" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "$MDNSent" 
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "$MDNSent" 
kmail2(14807) MessageList::StorageModel::StorageModel: Using model: Akonadi::EntityTreeModel
kmail2(14807)/libakonadi Akonadi::MessageStatus::setStatusFromFlags: Unknown flag: "NonJunk" 
kmail2(14807) MessageList::StorageModel::StorageModel: Using model: Akonadi::EntityTreeModel
kmail2(14807) MessageList::Core::View::slotSelectionChanged: View message selected [ "Invio documento n.611124097 emesso il 30/05/2011" ]
kmail2(14807)/libakonadi Akonadi::PluginRegistry::findBestMatchImpl: Looking for  "message/rfc822@{KMime::Message*}"
kmail2(14807)/libakonadi Akonadi::PluginRegistry::findBestMatchImpl:   Considering serializer plugin for type "message/rfc822" as the closest match
kmail2(14807)/libakonadi Akonadi::PluginRegistry::findBestMatchImpl:     -> got  Akonadi::SerializerPluginMail  and am happy with it.
kmail2(14807) KMReaderWin::setMessage: void KMReaderWin::setMessage(const Akonadi::Item&, MessageViewer::Viewer::UpdateMode) QSplitter(0x1404cc0, name = "splitter2")
kmail2(14807) <unnamed>::AnyTypeBodyPartFormatter::format: Acting as a Interface::BodyPartFormatter!
kmail2(14807) MessageComposer::MessageFactory::createAttachedForward: AKONADI PORT: Disabled code in   QPair<boost::shared_ptr<KMime::Message>, QList<KMime::Content*> > MessageComposer::MessageFactory::createAttachedForward(QList<boost::shared_ptr<KMime::Message> >)
kmail2(14807) Message::ComposerViewBase::initAutoSave: initalising autosave
kmail2(14807): No language dictionaries for the language :  "en_US" 
kmail2(14807) Sonnet::DictionaryComboBox::reloadCombo: Populate combo: "English (United States of America)" : "en_US"
kmail2(14807) Sonnet::DictionaryComboBox::reloadCombo: Populate combo: "Italian" : "it"
kmail2(14807) Sonnet::DictionaryComboBox::reloadCombo: Populate combo: "Italian (Italy)" : "it_IT"
kmail2(14807) Sonnet::DictionaryComboBox::reloadCombo: Populate combo: "Latin" : "la"
kmail2(14807) KMComposeWin::slotUpdateFont:
kmail2(14807) KMComposeWin::readConfig: "Francesco R."
kmail2(14807) Sonnet::DictionaryComboBox::setCurrentByDictionaryName: name not found "English"
kmail2(14807) KMComposeWin::slotUpdateFont:
kmail2(14807) KMComposeWin::rethinkFields:
kmail2(14807) Sonnet::DictionaryComboBox::setCurrentByDictionaryName: name not found "English"
kmail2(14807) KMComposeWin::rethinkFields:
kmail2(14807) Sonnet::DictionaryComboBox::setCurrentByDictionaryName: name not found "English"
kmail2(14807) KMKernel::instanceStatusChanged: A Resource started to syncronize, starting a mail check.
kmail2(14807) KMKernel::slotProgressItemCompletedOrCanceled: Last resource finished syncing, mail check done
kmail2(14807) Message::ComposerViewBase::cleanupAutoSave: deleting autosave files "{9a0863e6-b6b5-4dc3-9bb7-dd6aa805346c}"
kmail2(14807) Message::ComposerViewBase::cleanupAutoSave: There are 0 to be deleted.
kmail2(14807) TemplateParser::TemplateParser::findTemplate: AKONADI PORT: Disabled code in   virtual QString TemplateParser::TemplateParser::findTemplate()
kmail2(14807) TemplateParser::TemplateParser::findTemplate: Folder found: Collection ID: 224    remote ID: ".INBOX"
name: ""
url: KUrl("akonadi:?collection=224")
parent: -48 ""
resource: ""
rights: QFlags(0x1|0x2|0x4|0x8|0x10|0x20)
contents mime type: ()
CachePolicy:
inherit: true
interval: -1
timeout: -1
sync on demand: false
local parts: ()
CollectionStatistics:
count: -1
unread count: -1
size: -1
kmail2(14807) TemplateParser::TemplateParser::findTemplate: AKONADI PORT: verify Akonadi::Item() here   virtual QString TemplateParser::TemplateParser::findTemplate()
kmail2(14807) TemplateParser::TemplateParser::findTemplate: AKONADI PORT: verify Akonadi::Item() here   virtual QString TemplateParser::TemplateParser::findTemplate()
kmail2(14807) TemplateParser::TemplateParser::findTemplate: Identity found: 1083787930
kmail2(14807) TemplateParser::TemplateParser::processWithTemplate: Command: REM=
kmail2(14807) TemplateParser::TemplateParser::processWithTemplate: Command: -
kmail2(14807) TemplateParser::TemplateParser::processWithTemplate: Command: OFULLSUBJECT
kmail2(14807) TemplateParser::TemplateParser::processWithTemplate: Command: ODATE
kmail2(14807) TemplateParser::TemplateParser::processWithTemplate: Command: OTIMELONG
kmail2(14807) TemplateParser::TemplateParser::processWithTemplate: Command: OFROMADDR
kmail2(14807) TemplateParser::TemplateParser::processWithTemplate: Command: OADDRESSEESADDR
kmail2(14807) TemplateParser::TemplateParser::processWithTemplate: Command: TEXT
kmail2(14807) <unnamed>::AnyTypeBodyPartFormatter::format: Acting as a Interface::BodyPartFormatter!
kmail2(14807) MessageViewer::ObjectTreeParser::defaultHandling: no htmlWriter() 
kmail2(14807) TemplateParser::TemplateParser::parseTextStringFromContent: text part found!
kmail2(14807) TemplateParser::TemplateParser::asPlainTextFromObjectTree: AKONADI PORT: Disabled code in   QString TemplateParser::TemplateParser::asPlainTextFromObjectTree(const KMime::Message::Ptr&, KMime::Content*, MessageViewer::ObjectTreeParser*, bool, bool)
kmail2(14807) Message::ComposerViewBase::initAutoSave: initalising autosave
kmail2(14807): No language dictionaries for the language :  "en_US" 
kmail2(14807) Sonnet::DictionaryComboBox::reloadCombo: Populate combo: "English (United States of America)" : "en_US"
kmail2(14807) Sonnet::DictionaryComboBox::reloadCombo: Populate combo: "Italian" : "it"
kmail2(14807) Sonnet::DictionaryComboBox::reloadCombo: Populate combo: "Italian (Italy)" : "it_IT"
kmail2(14807) Sonnet::DictionaryComboBox::reloadCombo: Populate combo: "Latin" : "la"
kmail2(14807) KMComposeWin::slotUpdateFont:
kmail2(14807) KMComposeWin::readConfig: "Francesco R."
kmail2(14807) Sonnet::DictionaryComboBox::setCurrentByDictionaryName: name not found "English"
kmail2(14807) KMComposeWin::slotUpdateFont:
kmail2(14807) KMComposeWin::rethinkFields:
kmail2(14807) <unnamed>::AnyTypeBodyPartFormatter::format: Acting as a Interface::BodyPartFormatter!
kmail2(14807) MessageViewer::ObjectTreeParser::defaultHandling: no htmlWriter() 
kmail2(14807) Sonnet::DictionaryComboBox::setCurrentByDictionaryName: name not found "English"
kmail2(14807) KMComposeWin::rethinkFields:
kmail2(14807) Sonnet::DictionaryComboBox::setCurrentByDictionaryName: name not found "English"
kmail2(14807) <unnamed>::AnyTypeBodyPartFormatter::format: Acting as a Interface::BodyPartFormatter!
kmail2(14807) MessageViewer::ObjectTreeParser::defaultHandling: no htmlWriter() 
kmail2(14807) CodecAction::mimeCharsets: current item 0 "Default"
kmail2(14807) Message::ComposerViewBase::send: Plain text
kmail2(14807) Message::ComposerViewBase::readyForSending: Entering readyForSending
kmail2(14807) Message::ComposerViewBase::generateCryptoMessages: filling crypto info
kmail2(14807) Message::ComposerPrivate::composeStep2: Checking attachment crypto policy... false false
kmail2(14807) Message::Util::selectCharset: Chosen charset "iso-8859-1"
kmail2(14807) Message::MainTextJobPrivate::encodeTexts: Done.
kmail2(14807) Message::MainTextJob::doStart: Making text/plain
kmail2(14807) Message::ContentJobBasePrivate::doNextSubjob: Calling process.
kmail2(14807) Message::SinglepartJobPrivate::chooseCTE: Settled on encoding "quoted-printable"
kmail2(14807) Message::ContentJobBase::slotResult: A subjob finished. 0 more to go.
kmail2(14807) Message::ContentJobBasePrivate::doNextSubjob: Calling process.
kmail2(14807) Message::ContentJobBase::slotResult: A subjob finished. 1 more to go.
kmail2(14807) Message::Util::selectCharset: Chosen charset "us-ascii"
kmail2(14807) Message::ContentJobBasePrivate::doNextSubjob: Calling process.
kmail2(14807) Message::SinglepartJobPrivate::chooseCTE: Settled on encoding "base64"
kmail2(14807) Message::ContentJobBase::slotResult: A subjob finished. 0 more to go.
kmail2(14807) Message::ContentJobBasePrivate::doNextSubjob: Calling process.
kmail2(14807) Message::ContentJobBase::slotResult: A subjob finished. 0 more to go.
kmail2(14807) Message::ContentJobBasePrivate::doNextSubjob: Calling process.
kmail2(14807) Message::MultipartJob::process: Created "multipart/mixed" content with 2 subjobContents.
kmail2(14807) Message::ComposerPrivate::contentJobFinished: composing final message
kmail2(14807) Message::ComposerViewBase::slotSendComposeResult: compose job might have error error 0 errorString ""
kmail2(14807) Message::ComposerViewBase::slotSendComposeResult: NoError.
kmail2(14807) Message::ComposerViewBase::queueMessage: Queued a message.
kmail2(14807) Message::ComposerViewBase::slotEmailAddressResolved: Started a composer for sending!
kmail2(14807)/libakonadi Akonadi::SpecialCollections::hasCollection: Type "outbox" resourceId "akonadi_maildir_resource_0"
kmail2(14807)/libakonadi Akonadi::SpecialCollectionsRequestJobPrivate::isEverythingReady: All requested folders already known.
kmail2(14807) Message::ComposerViewBase::slotQueueResult: mPendingQueueJobs 0
kmail2(14807) Message::ComposerViewBase::cleanupAutoSave: deleting autosave files "{67fadd74-ec30-4cad-b6e9-b3a5114113a7}"
kmail2(14807) Message::ComposerViewBase::cleanupAutoSave: There are 0 to be deleted.
Application asked to unregister timer 0x1b000018 which is not registered in this thread. Fix application.
kmail2(14807) KMMainWidget::updateFolderMenu: Enabling send queued
kmail2(14807) MessageList::StorageModel::StorageModel: Using model: Akonadi::EntityTreeModel
Comment 1 Martin Bednar 2011-07-21 19:13:49 UTC
I seem to be affected too by this. A clean new config, google imap works great, but sending doesn't. Restarting kmail isn't enough, I have to completely restart akonadi to send an email (akonadictl restart). Seeing that I'm also on Gentoo (kdepim 4.6.1); could it be related to the fact that the default config (which I use) has sqlite as backend?
Comment 2 Francesco Riosa 2011-07-21 19:17:05 UTC
(In reply to comment #1)
> I seem to be affected too by this. A clean new config, google imap works great,
> but sending doesn't. Restarting kmail isn't enough, I have to completely
> restart akonadi to send an email (akonadictl restart). Seeing that I'm also on
> Gentoo (kdepim 4.6.1); could it be related to the fact that the default config
> (which I use) has sqlite as backend?

If my analisys of a timeout in mysql connection is correct, no it cannot be related ;)
Comment 3 Christophe Giboudeaux 2011-07-21 20:11:25 UTC
The important part of the report seems to be this line:

> MySQL server has gone away QMYSQL: Unable to execute query"

Can you define long inactivity please ?

If the sql instance goes down, you can probably find more clues in the mysql.err and mysql.err.old files in ~/.local/share/akonadi/db_data/ directory
Comment 4 Francesco Riosa 2011-07-21 20:20:27 UTC
(In reply to comment #3)
> The important part of the report seems to be this line:
> 
> > MySQL server has gone away QMYSQL: Unable to execute query"
> 
> Can you define long inactivity please ?

mysql> SELECT @@interactive_timeout;
+-----------------------+
| @@interactive_timeout |
+-----------------------+
|                 28800 |
+-----------------------+
1 row in set (0.00 sec)

> If the sql instance goes down, you can probably find more clues in the
> mysql.err and mysql.err.old files in ~/.local/share/akonadi/db_data/ directory

the mysql instance goes down by design, well at least the session opened by clients goes down, even if the SQL server stays up.
Comment 5 Christophe Giboudeaux 2011-07-21 20:36:37 UTC
wrong assumption I'm afraid, this setting doesn't matter for Akonadi. 
Try SELECT @@wait_timeout instead (which should return 1296000)

This is the important timeout for TCP and socket connections.
Comment 6 Francesco Riosa 2011-07-21 20:42:01 UTC
(In reply to comment #5)
> wrong assumption I'm afraid, this setting doesn't matter for Akonadi. 
> Try SELECT @@wait_timeout instead (which should return 1296000)
> 
> This is the important timeout for TCP and socket connections.

I'm using a system wide mysql instance for Akonadi, does it matter?

mysql> SELECT @@wait_timeout;
+----------------+
| @@wait_timeout |
+----------------+
|          28800 |
+----------------+
1 row in set (0.00 sec)
Comment 7 Christophe Giboudeaux 2011-07-21 20:50:35 UTC
well, yes, using an external mysql instance supposes that you configure your mysql server first. Akonadi cannot do that for external servers for obvious reasons. 

You can find the special settings used when Akonadi starts its own mysql instance there: https://projects.kde.org/projects/kdesupport/akonadi/repository/revisions/master/entry/server/src/storage/mysql-global.conf
Comment 8 Francesco Riosa 2011-07-21 21:13:34 UTC
(In reply to comment #7)
> well, yes, using an external mysql instance supposes that you configure your
> mysql server first. Akonadi cannot do that for external servers for obvious
> reasons. 
> 
> You can find the special settings used when Akonadi starts its own mysql
> instance there:
>https://projects.kde.org/projects/kdesupport/akonadi/repository/revisions/master/entry/server/src/storage/mysql-global.conf

Thank you for discussing and showing the Akonadi default configuration, I see the only ones that are _really_ required are ATM

max_allowed_packet=32M
wait_timeout=1296000

with possibly the addition of 
max_connections=256

the others are there just for performance reasons or can be set from the client

disclaimer, I'm versus any kde-sc starting whatever database server, because IMHO it's a bad thing (I'm trying to convince DigiKam developers to don't do that too), so possibly the following is a bit of a rant but there are also suggestions, so I'll keep writing.

Setting the timeout to 15 days is just try to hide the problem, there are
multiple reasons that can bring a database connection down, clients must simply
be resilient to that.

Developers should test with timeouts no longer than 60 seconds.

A desktop environment should not try to start a database, sqlite is the one that does embedding well.

For their inherent complexity database servers should be started by the same scripts that start kdm, distributions have the expertise to do that and you (kde) should simply  impose them a minimum.

simply akonadi at startup should test a minimal safe values for a restricted number of variables (which don't include timeouts imho) then if the database server is down or does not meet the requirements it should warn the user.

Thanks for reading (if you reached this ;)
Comment 9 Francesco Riosa 2011-07-21 21:14:29 UTC
P.S. feel free to close the bug if you wish
Comment 10 Hatem Masmoudi 2011-09-07 07:31:33 UTC
have a look at "Comment #16 - https://bugs.kde.org/show_bug.cgi?id=278020 ".
for me this correct the problem of kmail2 (kde 4.7.0)
Comment 11 Hatem Masmoudi 2011-09-09 07:30:30 UTC
After checking there is another bug: when setting config to
[Agent]                                                                         
Online=true

I success to send Email, but all emails are not forwarded to the server even if
the Sent folder is on the server !
Comment 12 Christophe Giboudeaux 2011-09-09 08:41:08 UTC
(In reply to comment #11)
> [...]
> 
> I success to send Email, but all emails are not forwarded to the server even if
> the Sent folder is on the server !

Please do not mix issues. Create a new bug report for this one
Comment 13 Christophe Giboudeaux 2011-09-09 13:22:05 UTC
I disagree. Wontfix is not the correct resolution. It's working with the default Akonadi settings.
Comment 14 Francesco Riosa 2011-09-09 13:32:45 UTC
it's working for a maximum of 15 days which is 1/4 of the medium uptime in my office.
Hopefully if I find the time to dig it further and to provide some patches we can return on this with and find some kind of agreement.

Best, Francesco
Comment 15 Christophe Giboudeaux 2011-09-09 15:09:06 UTC
it's 15 days *without activity*
Comment 16 Christophe Giboudeaux 2011-09-09 15:13:23 UTC
Git commit c5f3670fcd4d4d08d1af8d004c82d604e6df8bd9 by Christophe Giboudeaux.
Committed on 09/09/2011 at 17:13.
Pushed by cgiboudeaux into branch 'master'.

Raise the timeout value to 365d
CCBUG:274750

M  +1    -1    server/src/storage/mysql-global-mobile.conf
M  +1    -1    server/src/storage/mysql-global.conf

http://commits.kde.org/akonadi/c5f3670fcd4d4d08d1af8d004c82d604e6df8bd9
Comment 17 Volker Krause 2011-09-15 17:13:41 UTC
Git commit 26d031b4f32e8eaa99e1a53cc1c62a90a4899299 by Volker Krause, on behalf of Christophe Giboudeaux.
Committed on 09/09/2011 at 17:13.
Pushed by vkrause into branch '1.6'.

Raise the timeout value to 365d
CCBUG:274750

M  +1    -1    server/src/storage/mysql-global-mobile.conf
M  +1    -1    server/src/storage/mysql-global.conf

http://commits.kde.org/akonadi/26d031b4f32e8eaa99e1a53cc1c62a90a4899299
Comment 18 Gard Spreemann 2011-10-18 08:38:43 UTC
I don't think it feels right for a system to require manual intervention every n time units, no matter if n is 60 seconds or 365 days. Or is the patch meant as a temporary stopgap solution?